[youtubei.js](../../../../README.md) / [Generator](../README.md) / RendererInferenceType

# Interface: RendererInferenceType

Defined in: [src/parser/generator.ts:43](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/generator.ts#L43)

## Properties

### optional

> **optional**: `boolean`

Defined in: [src/parser/generator.ts:46](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/generator.ts#L46)

***

### renderers

> **renderers**: `string`[]

Defined in: [src/parser/generator.ts:45](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/generator.ts#L45)

***

### type

> **type**: `"renderer"`

Defined in: [src/parser/generator.ts:44](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/generator.ts#L44)
